Bug 74579 - rpmbuild of SRPM requires user interaction
Summary: rpmbuild of SRPM requires user interaction
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: perl-Net-DNS   
(Show other bugs)
Version: 8.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Warren Togami
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-09-26 20:37 UTC by Kevin Sonney
Modified: 2007-04-18 16:46 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-04 05:11:54 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to fix stupid error (1.30 KB, patch)
2002-09-26 21:20 UTC, Tom "spot" Callaway
no flags Details | Diff

Description Kevin Sonney 2002-09-26 20:37:34 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.5 (X11; Linux i686; U;) Gecko/20020809

Description of problem:
rpmbuild rebuilds of the source RPMS require the user interaction to complete.
As in, the build process stops until the user answerts a question.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. rpm -ivh /path/to/perl-Net-DNS-0.26-2.src.rpm
2. rpmbuild -ba /path/to/SPECS/perl-Net-DNS.spec
3. rpmbuild waits for you to answer a question


Actual Results:  The build halts until you answer yes or no to the prompt

Expected Results:  the build just...builds, without user intervention

Additional info:

Here's a trace :
[ksonney@ksonney](~/redhat)> rpmbuild -bb SPECS/perl-Net-DNS.spec 
Executing(%prep): /bin/sh -e /var/tmp/rpm-tmp.18963
+ umask 022
+ cd /home/ksonney/redhat/BUILD
+ cd /home/ksonney/redhat/BUILD
+ rm -rf Net-DNS-0.26
+ tar -xf -
+ /usr/bin/gzip -dc /home/ksonney/redhat/SOURCES/Net-DNS-0.26.tar.gz
+ STATUS=0
+ '[' 0 -ne 0 ']'
+ cd Net-DNS-0.26
++ /usr/bin/id -u
+ '[' 3528 = 0 ']'
++ /usr/bin/id -u
+ '[' 3528 = 0 ']'
+ /bin/chmod -Rf a+rX,g-w,o-w .
+ exit 0
Executing(%build): /bin/sh -e /var/tmp/rpm-tmp.18963
+ umask 022
+ cd /home/ksonney/redhat/BUILD
+ cd Net-DNS-0.26
+ CFLAGS=-O2 -march=i386 -mcpu=i686
+ perl Makefile.PL PREFIX=/var/tmp/perl-Net-DNS-root/usr INSTALLDIRS=vendor

You appear to be directly connected to the Internet.  I have some tests
that try to query live nameservers.

Do you want to enable these tests? [y]

Comment 1 Tom "spot" Callaway 2002-09-26 21:20:40 UTC
Created attachment 77384 [details]
Patch to fix stupid error

Comment 2 Tom "spot" Callaway 2002-09-26 21:22:31 UTC
This error really should have been caught in testing. Src rpms should NOT need
user intervention to build.

Comment 3 Warren Togami 2005-04-04 05:11:54 UTC
really old, fixed long ago, closing


Note You need to log in before you can comment on or make changes to this bug.